de.esprit.common.gui.event

## Class StringDropListener

- java.lang.Object
- - de.esprit.common.gui.event.StringDropListener

- All Implemented Interfaces:
    java.awt.dnd.DropTargetListener, java.util.EventListener

      public class StringDropListener
      extends java.lang.Object
      implements java.awt.dnd.DropTargetListener

  This class implements DropTargetListener with a default implementation for dropping a string into a JTextComponent
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringDropListener(javax.swing.text.JTextComponent textComp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dragEnter(java.awt.dnd.DropTargetDragEvent e)`
    `void` | `dragExit(java.awt.dnd.DropTargetEvent e)`
    `void` | `dragOver(java.awt.dnd.DropTargetDragEvent e)`
    `void` | `drop(java.awt.dnd.DropTargetDropEvent e)`
    `void` | `dropActionChanged(java.awt.dnd.DropTargetDragEvent e)`
    `void` | `stringDropped(java.lang.String receiveStr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringDropListener

          public StringDropListener(javax.swing.text.JTextComponent textComp)

  - ### Method Detail

    - #### dragEnter

          public void dragEnter(java.awt.dnd.DropTargetDragEvent e)

      Specified by:
        `dragEnter` in interface `java.awt.dnd.DropTargetListener`

    - #### dragOver

          public void dragOver(java.awt.dnd.DropTargetDragEvent e)

      Specified by:
        `dragOver` in interface `java.awt.dnd.DropTargetListener`

    - #### dropActionChanged

          public void dropActionChanged(java.awt.dnd.DropTargetDragEvent e)

      Specified by:
        `dropActionChanged` in interface `java.awt.dnd.DropTargetListener`

    - #### dragExit

          public void dragExit(java.awt.dnd.DropTargetEvent e)

      Specified by:
        `dragExit` in interface `java.awt.dnd.DropTargetListener`

    - #### drop

          public void drop(java.awt.dnd.DropTargetDropEvent e)

      Specified by:
        `drop` in interface `java.awt.dnd.DropTargetListener`

    - #### stringDropped

          public void stringDropped(java.lang.String receiveStr)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.